---
layout: post
title: "Originally shared by Jeff DeMaagd Trying a quick brain transplant"
date: June 19, 2016 07:43
category: "General discussion"
author: "Arthur Wolf"
---
<b>Originally shared by Jeff DeMaagd</b>



Trying a quick brain transplant.

![missing image](https://lh3.googleusercontent.com/-6bCETxM3icE/V2YFWzNxDcI/AAAAAAAAAz8/vx86ETq9G68_cHPUOPBzif8UNj2lvhlAQ/s0/File%252BJun%252B18%25252C%252B7%252B06%252B35%252BPM.jpeg)



**"Arthur Wolf"**

---


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/6Dk35BwN6Ty) &mdash; content and formatting may not be reliable*
